﻿$ErrorActionPreference = 'Stop';


$packageName  = 'midimt'
$hashsha256   = '78050B0A059482D1B9C346591D3791DE5056DCF1AA860C4C97BCD5BAAEDF5339'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'MIDIMT_x64.msi'

$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'MIDI-MT*'
  file          = $fileLocation
  fileType      = 'msi'
  silentArgs    = "/quiet"
  checksum      = $hashsha256
  checksumType  = 'sha256'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
