﻿# VERIFICATION MIDI-MT 1.0.6.5

Checksums are used to detect if a file has been changed to a different version from the distributor version.  
You can check the checksum of a file with the following command:  

```
checksum -f=MIDIMT_x64.msi -t=sha256 -c=78050B0A059482D1B9C346591D3791DE5056DCF1AA860C4C97BCD5BAAEDF5339

```
or using powershell:  

```
powershell -Command "Get-FileHash -path MIDIMT_x64.msi -Algorithm SHA256"

or

powershell -Command "Get-ChecksumValid -File MIDIMT_x64.msi -ChecksumType SHA256 -Checksum 78050B0A059482D1B9C346591D3791DE5056DCF1AA860C4C97BCD5BAAEDF5339"

```

Watch [Checksum](https://community.chocolatey.org/packages/checksum), [Chocolatey Checksum Valid](https://docs.chocolatey.org/en-us/create/functions/get-checksumvalid) for details.  

### 1.0.6.5 - checksum value:

__File__:      MIDIMT_x64.msi  
__Hash__:      78050B0A059482D1B9C346591D3791DE5056DCF1AA860C4C97BCD5BAAEDF5339  
__Hash type__: SHA256  

